<style>
  .dashboard-container {
      text-align: center;
      margin: 0;
      padding: 0;
  }

  .dashboard-title {
      margin-top: 20px;
      margin-bottom: 40px;
      font-family: Arial, sans-serif;
  }

  .widgets-container {
      display: flex;
      justify-content: space-around;
      align-items: center;
      
  }

  .temperature-widget, .humidity-widget {
      width: 30%;
      padding: 20px;
      box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
      transition: 0.3s;
      border-radius: 5px;
  }
</style>

<main class="main">
  <div class="dashboard-container">
    <h1 class="dashboard-title">Dashboard</h1>
    <div class="widgets-container">
        <div class="temperature-widget">
            <app-temperature-widget></app-temperature-widget>
        </div>
        <div class="humidity-widget">
            <app-humidity-widget></app-humidity-widget>
        </div>
    </div>
  </div>
</main>

<!-- Include <router-outlet> only if your app uses Angular routing -->
<!-- <router-outlet /> -->
